Subject: Re: bug#67452: 30.0.50; [PATCH] Make split-root-window functions handle argument

From: Eli Zaretskii <[email-masked]>
Date: Wed, 29 Nov 2023 16:16:19 +0200

> Date: Mon, 27 Nov 2023 10:20:36 +0100
> Cc: [email-masked], [email-masked]
> From: martin rudalics <[email-masked]>
> 
>  > I guess we should do this for consistency with other split-window-*
>  > commands?  Martin, any reasons the split-root-window-* commands didn't
>  > follow the example of the corresponding split-window-* commands?
> 
> No idea.  Maybe Hugo Heagren can tell.
> 
>  > In any case, to make the split-root-window-* commands support C-u we
>  > just need to change the interactive spec from "P" to "p", there's no
>  > need for anything more complex.
> 
> I think so.  Here 'split-window-below' and 'split-window-right' use
> 
>    (let* ((size (and size (prefix-numeric-value size)))
> 
> maybe to "just work" when being passed an invalid SIZE argument but I
> don't remember the details.

Thanks, I've now installed the change on the emacs-29 branch, using
the "p" interactive spec, and I'm closing this bug.